Download it now!
Bug 119882 - FILEOPEN: File with chart is set as modified without doing any change
Summary: FILEOPEN: File with chart is set as modified without doing any change
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart ModifiedStatus
  Show dependency treegraph
 
Reported: 2018-09-14 14:56 UTC by Xisco Faulí
Modified: 2018-10-01 10:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-09-14 14:56:53 UTC
Steps to reproduce:
1. Open attachment 133483 [details] from bug 108028
2. Close the document without doing any change

-> Observed behaviour: LibreOffice asks if you want to save the changes done.

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 4e5f89d2d3511b6421b388ecaba2f61ada14d084
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-09-14 14:59:11 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1d38cb365543924f9c50014e6b2227e77de1d0c9

author	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-06-13 11:12:50 -0400
committer	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-06-19 14:46:56 -0400
commit	1d38cb365543924f9c50014e6b2227e77de1d0c9 (patch)
tree	1e77d0d2f82330f16c09cda60864824397d132c4
parent	2538e30ccc2e98de92de5157ca523fdb347eb537 (diff)
fdo#71076, fdo#71767: Preserve number formats when charts are copied.

Bisected with: bibisect-44max

Adding Cc: to Kohei Yoshida
Comment 2 Buovjaga 2018-09-14 16:06:25 UTC
(In reply to Xisco Faulí from comment #1)
> Regression introduced by:
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=1d38cb365543924f9c50014e6b2227e77de1d0c9
> 
> author	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-06-13 11:12:50 -0400
> committer	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-06-19 14:46:56
> -0400
> commit	1d38cb365543924f9c50014e6b2227e77de1d0c9 (patch)
> tree	1e77d0d2f82330f16c09cda60864824397d132c4
> parent	2538e30ccc2e98de92de5157ca523fdb347eb537 (diff)
> fdo#71076, fdo#71767: Preserve number formats when charts are copied.
> 
> Bisected with: bibisect-44max
> 
> Adding Cc: to Kohei Yoshida

Same commit blamed for bug 111936
Comment 3 Markus Mohrhard 2018-09-26 08:12:45 UTC
The problem here is that we have calls to chart model's setPropertyValue inside of the chart view. At least I consider any calls from the chart view to the chart model t hat change the model to be a bad separation of the code.

I'll have a look what can be done for this special case. Number format handling that is not explicitly set is really ugly and not that simple.
Comment 4 Commit Notification 2018-09-26 10:42:35 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3708195d0c94cf1c50febc49fcfa6a9ff6855336

tdf#119882, don't change the chart model from the chart view

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2018-10-01 10:59:23 UTC
Works well. The document doesn't ask anything when close.
Solved.

tested on 6.2
Version: 6.2.0.0.alpha0+
Build ID: a906b68a9fff30c2af5c03189e59c1952cd3f69f
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-30_19:07:59
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded